aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2018-06-12 05:28:17 -0400
committerQuentin Le Menez2018-06-12 10:15:04 -0400
commit79a165619e65abed61be6fc2d6d4d0b21562f3bf (patch)
tree37fb394ad553e15103032e0b7f79c7254bc53041
parent6673b76c929479c9743e1732eb697884b768608c (diff)
downloadorg.eclipse.papyrus-79a165619e65abed61be6fc2d6d4d0b21562f3bf.tar.gz
org.eclipse.papyrus-79a165619e65abed61be6fc2d6d4d0b21562f3bf.tar.xz
org.eclipse.papyrus-79a165619e65abed61be6fc2d6d4d0b21562f3bf.zip
Bug 535794 - [Test] Correct breaking dependency test
- added the missing dependency - modified the missing/incorrect version Change-Id: Ibe05378c453848b99033a7e8216bac8ed890caca Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
-rwxr-xr-xtests/junit/framework/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/junit/framework/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java b/tests/junit/framework/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
index a4701a76f2b..ff8bad13281 100755
--- a/tests/junit/framework/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
+++ b/tests/junit/framework/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
@@ -485,7 +485,7 @@ public class BundlesTests extends AbstractPapyrusTest {
/**
* This test checks that nobody adds an unexpected dependency on the plugin org.eclipse.papyrus.emf
*
- * @since 1.3
+ * @since 1.3.0
*/
@Test
public void checkPapyrusEMFPluginDependency() {
@@ -494,6 +494,7 @@ public class BundlesTests extends AbstractPapyrusTest {
final Version undefinedVersion = new Version(null);
dependencies.put("org.eclipse.ui", undefinedVersion); //$NON-NLS-1$
dependencies.put("org.eclipse.core.runtime", undefinedVersion); //$NON-NLS-1$
+ dependencies.put("org.eclipse.core.resources", undefinedVersion); //$NON-NLS-1$
dependencies.put("org.eclipse.emf.ecore", undefinedVersion); //$NON-NLS-1$
dependencies.put("org.eclipse.emf.ecore.xmi", undefinedVersion); //$NON-NLS-1$